# react-light-table-bootstrap

This is a tiny package for data table with server pagination

!https://nodei.co/npm/react-light-table-bootstrap.png?downloads=true&stars=true

# 📦 Installation

npm i react-light-table-bootstrap

# Author

Debasis Bhakat

# Declaration

Require react-light-table-bootstrap in the top of your file :

import Table from 'react-light-table-bootstrap';

# Usage
     const pageHandler = async(page) =>{ 
        const controller = new AbortController();
        const { signal } = controller;
        const res = await apicall('your-url','Get', { signal });
        if(res.status===200){
          setData(res.data);
          setCurrentPage(page)
        }
    }
    <Table column={TableCol} data={data} pageHandler={pageHandler} currentPage={currentPage} pageSize={pageSize} totalResults={totalResults} /> 